package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag795;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT795Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT795Creator mt795Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt795Creator = (MT795Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt795Creator.getMtDateTag11a();
        mt795Creator.set("11S", tag11aValue);
    }
}
